<?php require_once(ROOT . "/views/" . LANG . "/layouts/_header.php"); ?>

<div class="head-page">
  <div class="container">
    <div class="row">
      <div class="col-md-12">
        <h1 class="title-page">Конкурсы</h1>
        <div class="breadcrumbs">
          <ul class="breadcrumbs__list">
            <li class="breadcrumbs__item">
              <a href="/" class="breadcrumbs__link">Главная</a>
            </li>
            <li class="breadcrumbs__item">Конкурсы</li>
          </ul>
        </div>
      </div>
    </div>
  </div>
</div>
<div class="content" style="padding-top:0;">
  <div class="gallery">
    <div class="gallery__container container">
      <h2 class="title gallery__title">
          <span class="title__mark">СПИСОК </span>КОНКУРСОВ</h2>
      <p class="desc">Конкурсы - это отличная возможность для активных участников проекта заработать поощрительные призы за их активность.<br> За призы в конкурсах может побороться любой из пользователей проекта. <b>Призы выплачиваются на баланс для вывода.</b></p>
      <div class="filter gallery__filter">
        <span data-filter=".gallery__list-item" class="filter__item filter__item_active">
          <span class="filter__item-text">Все конкурсы</span>
        </span>

      <?php if ($invest_competition) : ?>

        <span data-filter=".gallery__list-item_invest" class="filter__item">
          <span class="filter__item-text">Конкурс инвесторов</span>
        </span>

      <?php endif; ?>

      <?php if ($referal_competition) : ?>

        <span data-filter=".gallery__list-item_refferal" class="filter__item">
          <span class="filter__item-text">Конкурс рефералов</span>
        </span>

      <?php endif; ?>

      </div>

      <div class="gallery__list row">

      <?php if ($invest_competition) : ?>

        <div class="gallery__list-item gallery__list-item_invest col-md-9">
          <div class="popup_protect__def__img col" style="display: block;">
            <img src="assets/images/ico/contest_1.png">
          </div>
          <div class="card__head">
            <h3 class="card__name" style="font-size: 16px;">Ежемесячный конкурс инвесторов</h3>
            <div class="card__period">Окончание конкурса: <?=date("d/m/Y в H:i", $invest_competition['date_end']); ?></div>
          </div>
          <p class="desc" style="margin-bottom: 10px;">В конкурсе участвуют все пользователи проекта. Выигрывают те пользователи, которые пополнили свой баланс за время проведения конкурса на наибольшую сумму.</p>
          <table class="bordered" style="width:100%;margin-bottom:15px;">
            <thead>
              <tr>
                <th>Логин</th>
                <th>Дата регистрации</th>
                <th>Сумма пополнений</th>
                <th>Приз</th>
              </tr>
            </thead>

          <?php if (isset($invest_competition['users'])) : $i = 0; ?>

            <?php foreach ($invest_competition['users'] as $user) : $i++; ?>

              <?php if ($i > 5) break; ?>

            <tr>
              <td><?=$user['user']; ?></td>
              <td><?=date("d/m/Y в H:i", $user['date_reg']); ?></td>
              <td><?=sprintf("%.2f", $user['points']); ?> руб.</td>

                <?php if ($i <= 5) : ?>

              <td class="tdactive">

                <?php if ($invest_competition[$i.'m_sum'] > 0 && $invest_competition[$i.'m_perc'] > 0) : ?>

                  <?=$invest_competition[$i.'m_sum']; ?> руб. + <?=$invest_competition[$i.'m_perc']; ?> % от суммы

                <?php elseif ($invest_competition[$i.'m_sum'] == 0 && $invest_competition[$i.'m_perc'] > 0) : ?>

                  <?=$invest_competition[$i.'m_perc']; ?> % от суммы

                <?php elseif ($invest_competition[$i.'m_sum'] > 0 && $invest_competition[$i.'m_perc'] == 0) : ?>

                  <?=$invest_competition[$i.'m_sum']; ?> руб.
                  
                <?php endif ?>

              </td>

                <?php else : ?>

              <td> - </td>

                <?php endif; ?>

            </tr>

            <?php endforeach; ?>

          <?php else: ?>

            <tr>
              <td colspan="4">Участников еще нет</td>
            </tr>

          <?php endif; ?>

          </table>
        </div>

      <?php endif ?>

      <?php if ($referal_competition) : ?>

        <div class="gallery__list-item gallery__list-item_refferal col-md-9">
          <div class="popup_protect__def__img col" style="display: block;">
            <img src="assets/images/ico/contest_2.png">
          </div>

          <div class="card__head">
            <h3 class="card__name" style="font-size: 16px;">Ежемесячный конкурс рефералов</h3>
            <div class="card__period">Окончание конкурса: <?=date("d/m/Y в H:i", $referal_competition['date_end']); ?></div>
          </div>
          <p class="desc" style="margin-bottom: 10px;">В конкурсе участвуют все пользователи проекта. Выигрывают те пользователи, рефералы которых пополнили свой баланс за время проведения конкурса на наибольшую сумму.</p>
          <table class="bordered" style="width:100%;margin-bottom:15px;">
            <thead>
              <tr>
                <th>Логин</th>
                <th>Дата регистрации</th>
                <th>Сумма пополнений</th>
                <th>Приз</th>
              </tr>
            </thead>

          <?php if (isset($referal_competition['users'])) : $i = 0; ?>

            <?php foreach ($referal_competition['users'] as $user) : $i++; ?>

              <?php if ($i > 5) break; ?>

            <tr>
              <td><?=$user['user']; ?></td>
              <td><?=date("d/m/Y в H:i", $user['date_reg']); ?></td>
              <td><?=sprintf("%.2f", $user['points']); ?> руб.</td>
              
              
                    <?php if ($i <= 5) : ?>

              <td class="tdactive">

                <?php if ($referal_competition[$i.'m_sum'] > 0 && $referal_competition[$i.'m_perc'] > 0) : ?>

                  <?=$referal_competition[$i.'m_sum']; ?> руб. + <?=$referal_competition[$i.'m_perc']; ?> % от суммы

                <?php elseif ($referal_competition[$i.'m_sum'] == 0 && $referal_competition[$i.'m_perc'] > 0) : ?>

                  <?=$referal_competition[$i.'m_perc']; ?> % от суммы

                <?php elseif ($referal_competition[$i.'m_sum'] > 0 && $referal_competition[$i.'m_perc'] == 0) : ?>

                  <?=$referal_competition[$i.'m_sum']; ?> руб.
                  
                <?php endif ?>

              </td>

                <?php else : ?>

              <td> - </td>

                <?php endif; ?>

            </tr>

            <?php endforeach; ?>

          <?php else: ?>

              
            <tr>
              <td colspan="4">Участников еще нет</td>
            </tr>

          <?php endif; ?>

          </table>
        </div>

      <?php endif; ?>

      </div>
    </div>
  </div>
</div>

<?php require_once(ROOT . "/views/" . LANG . "/layouts/_footer.php"); ?>